# DataExchange
TKXSBase
StepSelect

# StepSelect_FileModifier Class Reference

`#include <StepSelect_FileModifier.hxx>`

Inheritance diagram for StepSelect_FileModifier:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Perform (IFSelect_ContextWrite &ctx, StepData_StepWriter &writer) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | StepSelect_FileModifier ()

## Constructor & Destructor Documentation

Standard_EXPORT StepSelect_FileModifier::StepSelect_FileModifier | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const StepSelect_FileModifier::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_GeneralModifier. Reimplemented in StepSelect_FloatFormat.

virtual Standard_EXPORT void StepSelect_FileModifier::Perform | ( | IFSelect_ContextWrite & | ctx,
|  | StepData_StepWriter & | writer
| ) | const`[pure virtual]`

| Implemented in StepSelect_FloatFormat.

The documentation for this class was generated from the following file:

- StepSelect_FileModifier.hxx